# Form implementation generated from reading ui file 'src/eric7/RemoteServerInterface/EricServerConnectionDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EricServerConnectionDialog(object):
    def setupUi(self, EricServerConnectionDialog):
        EricServerConnectionDialog.setObjectName("EricServerConnectionDialog")
        EricServerConnectionDialog.resize(400, 169)
        EricServerConnectionDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(EricServerConnectionDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.nameLabel = QtWidgets.QLabel(parent=EricServerConnectionDialog)
        self.nameLabel.setObjectName("nameLabel")
        self.gridLayout.addWidget(self.nameLabel, 0, 0, 1, 1)
        self.nameEdit = QtWidgets.QLineEdit(parent=EricServerConnectionDialog)
        self.nameEdit.setClearButtonEnabled(True)
        self.nameEdit.setObjectName("nameEdit")
        self.gridLayout.addWidget(self.nameEdit, 0, 1, 1, 2)
        self.label = QtWidgets.QLabel(parent=EricServerConnectionDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 1, 0, 1, 1)
        self.hostnameEdit = QtWidgets.QLineEdit(parent=EricServerConnectionDialog)
        self.hostnameEdit.setClearButtonEnabled(True)
        self.hostnameEdit.setObjectName("hostnameEdit")
        self.gridLayout.addWidget(self.hostnameEdit, 1, 1, 1, 2)
        self.label_2 = QtWidgets.QLabel(parent=EricServerConnectionDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 2, 0, 1, 1)
        self.portSpinBox = QtWidgets.QSpinBox(parent=EricServerConnectionDialog)
        self.portSpinBox.setWrapping(True)
        self.portSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.portSpinBox.setAccelerated(True)
        self.portSpinBox.setProperty("showGroupSeparator", True)
        self.portSpinBox.setMinimum(1024)
        self.portSpinBox.setMaximum(65535)
        self.portSpinBox.setProperty("value", 1024)
        self.portSpinBox.setObjectName("portSpinBox")
        self.gridLayout.addWidget(self.portSpinBox, 2, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(240, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem, 2, 2, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=EricServerConnectionDialog)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 3, 0, 1, 1)
        self.timeoutSpinBox = QtWidgets.QSpinBox(parent=EricServerConnectionDialog)
        self.timeoutSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.timeoutSpinBox.setMaximum(60)
        self.timeoutSpinBox.setObjectName("timeoutSpinBox")
        self.gridLayout.addWidget(self.timeoutSpinBox, 3, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=EricServerConnectionDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 4, 0, 1, 3)

        self.retranslateUi(EricServerConnectionDialog)
        self.buttonBox.accepted.connect(EricServerConnectionDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(EricServerConnectionDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(EricServerConnectionDialog)
        EricServerConnectionDialog.setTabOrder(self.nameEdit, self.hostnameEdit)
        EricServerConnectionDialog.setTabOrder(self.hostnameEdit, self.portSpinBox)
        EricServerConnectionDialog.setTabOrder(self.portSpinBox, self.timeoutSpinBox)

    def retranslateUi(self, EricServerConnectionDialog):
        _translate = QtCore.QCoreApplication.translate
        EricServerConnectionDialog.setWindowTitle(_translate("EricServerConnectionDialog", "eric-ide Server Connection"))
        self.nameLabel.setText(_translate("EricServerConnectionDialog", "Name:"))
        self.nameEdit.setToolTip(_translate("EricServerConnectionDialog", "Enter the name for the eric-ide server connection profile."))
        self.label.setText(_translate("EricServerConnectionDialog", "Hostname:"))
        self.hostnameEdit.setToolTip(_translate("EricServerConnectionDialog", "Enter the hostname or IP address of the eric-ide server to connect to."))
        self.label_2.setText(_translate("EricServerConnectionDialog", "Port:"))
        self.portSpinBox.setToolTip(_translate("EricServerConnectionDialog", "Enter the port number the eric-ide server listens on (default: 42024)."))
        self.portSpinBox.setSpecialValueText(_translate("EricServerConnectionDialog", "default"))
        self.label_3.setText(_translate("EricServerConnectionDialog", "Timeout:"))
        self.timeoutSpinBox.setSpecialValueText(_translate("EricServerConnectionDialog", "default"))
        self.timeoutSpinBox.setSuffix(_translate("EricServerConnectionDialog", " s"))
